Skip to content
View as Markdown

PUT Save Double Opt-in Settings​

PUT
/setting/double-optin

Save the double opt-in email settings. Can save global settings or list-specific settings when a list_id is provided. The email body must contain an activation link (#activate_link# or {{crm.activate_button}}).

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"list_id": 0,
"global_double_optin": "string",
"settings": {
"design_template": "string",
"email_subject": "string",
"email_pre_header": "string",
"email_body": "string",
"after_confirmation_type": "string",
"after_confirm_message": "string",
"after_conf_redirect_url": "string",
"tag_based_redirect": "string",
"tag_redirects": [
{
"field_key": [
0
],
"field_value": "string"
}
]
}
}

Responses​

Double opt-in settings saved successfully.

application/json
JSON
{
"message": "string"
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI